#!/usr/bin/env bash

. "std.sh"
program_begin dev

pacinstall wget
pacinstall unzip
pacinstall tree-sitter-cli
pacinstall nodejs
pacinstall npm
pacinstall fzf
pacinstall ripgrep
pacinstall fd
pacinstall lazygit
pacinstall github-cli
pacinstall zellij
pacinstall go
pacinstall elixir
pacinstall erlang-asn1


pacman -Q ${program} &> /dev/null
if [[ "$?" -ne "0" ]]; then
    info "Installing sdl3_image"
    pushd custom-packages/sdl3_image//
    makepkg -si --noconfirm
    popd
else
    verbose "${program} already installed."
fi

pacman -Q ${program} &> /dev/null
if [[ "$?" -ne "0" ]]; then
    info "Installing sdl3_image"
    pushd custom-packages/sdl3_ttf/
    makepkg -si --noconfirm
    popd
else
    verbose "${program} already installed."
fi

pacman -Q ${program} &> /dev/null
if [[ "$?" -ne "0" ]]; then
    info "Installing sdl3_image"
    pushd custom-packages/odin-git/
    makepkg -si --noconfirm
    popd
else
    verbose "${program} already installed."
fi


pacinstall ninja

program_end
